@echo off
@setlocal enabledelayedexpansion
@setlocal

@REM ----------------------------------------------------------------------------------------------
@REM search_sanitizerlog
@REM
@REM explanation:
@REM   1.Argument(Output Dir)*.Sanitizerlogt@C
@REM   2.2Ɏw肳ꂽo
@REM
@REM argument: 
@REM   %1 Output dir path 
@REM   %2 content or count(default:content)
@REM
@REM return: 
@REM   0: I
@REM   1: Error
@REM
@REM output: 
@REM   argument[content]:*.Sanitizerlogt@Co
@REM     *.sanitizerlog file name, Output Dir full path, .sanitizerlog file full path
@REM   argument[count]:*.Sanitizerlogt@Čo
@REM     count
@REM ----------------------------------------------------------------------------------------------

@REM target filne extension
@set extension=.sanitizerlog
@set log_count=0

if [%1]==[] goto :path_empty
if [%2]==[] goto :output_type_empty
set "search_directory_path=%~1"
set target=%2
goto :main

:path_empty
echo ===[Error: Please input the arguments Output dir path in search_sanitizerlog.bat] 1>&2
@exit /B 1

:output_type_empty
set "search_directory_path=%~1"
set target=content
goto :main

:main
REM 1contentɂȂĂ邩mF(1󗓂̏ꍇ)
if "%search_directory_path%"=="content" (
    echo ===[Error: Please input the arguments Output dir path in search_sanitizerlog.bat] 1>&2
    @exit /B 1
)

REM 1countɂȂĂ邩mF(1󗓂̏ꍇ)
if "%search_directory_path%"=="count" (
    echo ===[Error: Please input the arguments Output dir path in search_sanitizerlog.bat] 1>&2
    @exit /B 1
)

if not exist "%search_directory_path%" (
    echo ===[Error: Please specify the arguments Output dir path in search_sanitizerlog.bat] 1>&2
    @exit /B 1
)

if [%target%]==[content] goto :content
if [%target%]==[count] goto :count
echo ===[Error: unknown target "%target%"] 1>&2
@exit /B 1

:count
REM echo ===search_sanitizerlog][count]
REM search_directory_pathɂsanitizerloǧԋp
for %%f in ("%search_directory_path%\*.sanitizerlog") do (
    set /a log_count+=1
)
echo %log_count%

@exit /B 0

:content
REM echo ===search_sanitizerlog][content]
REM Research Sanitizerlog file
REM search_directory_pathɂsanitizerlogpathԋp

for %%f in ("%search_directory_path%\*.sanitizerlog") do (
    set sanitizer_file_name=%%~nxf
    set sanitizerlog_file_path=%%~ff
    echo !sanitizer_file_name!,"!search_directory_path!","!sanitizerlog_file_path!"
)

@exit /B 0
