@echo off
@setlocal enabledelayedexpansion
@setlocal

@REM ----------------------------------------------------------------------------------------------
@REM main__sanitizer_summary
@REM
@REM explanation:
@REM   1.Os.onlysanitizerlog file 폜Areport file 폜
@REM     (delete_sanitizer_log.bat)
@REM
@REM   2.wdirectoryz̕(cmw project, outdir, sanitizerlog, warning)
@REM     *sanitizerlogwarnings*onlysanitizerlogփ_CNg
@REM     (analysis_sanitizer_log.bat  analysis_report.temp)
@REM     2-1.wdirectoryzcmw projectOutdir(search_output_dir.bat)
@REM     2-2.*.sanitizerlog(search_sanitizerlog.bat)
@REM     2-3.warningo(search_sanitizer_ubsan_warning.bat)
@REM     2-4.ʂ𒆊ԃt@C֏o(analysis_report.temp)
@REM
@REM   3.analysis_report.csvcsv𐶐
@REM     (create_report_csv.bat       sanitizer_report.csv)
@REM
@REM   4.analysis_report.csvhtml𐶐
@REM     (create_report_html.bat      sanitizer_report.html)
@REM
@REM   5.ԃt@C(analysis_report.temp)폜
@REM
@REM argument: 
@REM    %1: target dir path
@REM
@REM return: 
@REM    0: I
@REM    1: Error
@REM
@REM output: 
@REM    report csv file, report html file
@REM ----------------------------------------------------------------------------------------------

if [%1]==[] goto :empty
set "target_dir=%~1"
goto :main

:empty
echo ===[Error: Please input the arguments target path dir in main__sanitizer_summary.bat] 1>&2
@exit /B 1


:main
if not exist "%target_dir%" (
  echo ===[Error: Please specify the arguments target dir path in main__sanitizer_summary.bat] 1>&2
  @exit /B 1
)

set bin_dir=%~dp0
for /f "usebackq delims=" %%a in (`chdir`) do set current_dir=%%a

set "analysis_report=analysis_report.temp"
set "output_file_name=sanitizer_report"
set "targetkeyword=Sanitizer UBSan Warning"

echo ===[target dir:"%target_dir%"]
REM target dir pathmFAcmw project file L̊mF
if exist "%target_dir%" (
  REM target dir݂ꍇ
  for /f "usebackq tokens=1 delims=," %%a in (`call "%bin_dir%"search_output_dir.bat "%target_dir%" `) do (
      if [%%~a] == [] (
          REM cmw project fileȂꍇ
          echo ===[Error: Exiting because there are no cmw project file] 1>&2
          @exit /B 1
      ) 
  )
) else (
  REM target dir݂Ȃꍇ
  echo ===[Error: The folder does not exist in main__sanitizer_summary.bat. target_dir:"%target_dir%"] 1>&2
  @exit /B 1
)
echo ===[complete check target dir]

echo ===[delete *.onlysanitizerlog file]
REM O.onlysanitizerlog폜@report 폜
call "%bin_dir%"delete_sanitizer_log.bat "%target_dir%"
if %errorlevel% equ 0 (
  REM Ȉꍇ
) else (
  REM Fail̏ꍇ
  echo ===[fail create sanitizer data csv file] errorlevel:%errorlevel%
  @exit /B 1
)

echo ===[analysis sanitizer log]
REM target dirz𕪐
call "%bin_dir%"analysis_sanitizer_log.bat "%target_dir%" "%targetkeyword%" > %bin_dir%%analysis_report%

if %errorlevel% equ 0 (
  REM Ȉꍇ
  echo ===[complete analysis sanitizer log] Export %bin_dir%%analysis_report%
) else	(
  REM Fail̏ꍇ
  echo ===[fail create analysis sanitizer log] errorlevel:%errorlevel%
  @exit /B 1
)

echo ===[create sanitizer data csv file]
REM report csv
call "%bin_dir%"create_report_csv.bat "%bin_dir%%analysis_report%" > %current_dir%\%output_file_name%.csv

if %errorlevel% equ 0 (
  REM Ȉꍇ
  echo ===[complete create sanitizer summary csv file ] Export %current_dir%\%output_file_name%.csv
) else	(
  REM Fail̏ꍇ
  echo ===[fail create sanitizer data csv file] errorlevel:%errorlevel%
  @exit /B 1
)

echo ===[create sanitizer data html file]
REM report html
call "%bin_dir%"create_report_html.bat "%bin_dir%%analysis_report%" > %current_dir%\%output_file_name%.html

if %errorlevel% equ 0 (
  REM Ȉꍇ
  echo ===[complete create sanitizer summary html file ] Export %current_dir%\%output_file_name%.html
) else	(
  REM Fail̏ꍇ
  echo ===[fail create sanitizer summary html file] errorlevel:%errorlevel%
  @exit /B 1
)

REM ԃt@C폜
if exist "%bin_dir%%analysis_report%" (
  del "%bin_dir%%analysis_report%"
  echo ===[delete "%bin_dir%%analysis_report%"]
)

@exit /B 0